Using own jigdo-gen-md5-list to avoid restriction to Linux and FreeBSD

This commit is contained in:
Thomas Schmitt 2011-08-29 17:43:15 +00:00
parent 86db525618
commit ab501f4234
1 changed files with 14 additions and 8 deletions

View File

@ -205,16 +205,22 @@ JIGDO_MAP="Debian=${JIGDO_MAP_RHV}/"
# create jigdo MD5 list in base64 format # create jigdo MD5 list in base64 format
JIGDO_GEN_MD5=${GEN_DATA_DIR}/${RELENG_IMG}.md5 JIGDO_GEN_MD5=${GEN_DATA_DIR}/${RELENG_IMG}.md5
if which jigdo-gen-md5-list >/dev/null 2>&1; then
printf "${SELF}: Creating MD5 list in hex format in ${JIGDO_GEN_MD5}..." printf "${SELF}: Creating MD5 list in hex format in ${JIGDO_GEN_MD5}..."
jigdo-gen-md5-list ${RELENG_DIR} > ${JIGDO_GEN_MD5} set +e
printf "Done.\n" ./jigdo-gen-md5-list ${RELENG_DIR} > ${JIGDO_GEN_MD5}
ret=$?
set -e
if test "$ret" = 0
then
printf "Done.\n"
else else
printf "\n${SELF}: Not found: jigdo-gen-md5-list. Install jigit >= 1.18." printf "\nFAIL : ${SELF}: ./jigdo-gen-md5-list returns $ret"
printf "\n${SELF}: http://www.einval.com/~steve/software/JTE/\n" cleanup
cleanup exit 9
exit 9
fi fi
CMD="$CMD \ CMD="$CMD \
-jigdo-template-compress gzip \ -jigdo-template-compress gzip \